from ppms.migration import SQLPacket, PacketCategory, MaxVersionDependency, VersionType


class CreateUserModuleTable(SQLPacket):
    """Creates the new User/Module table"""
    done_after_success = True
    run_on_startup = True
    category = PacketCategory.CATEGORY_MANDATORY
    wi_number = 19534

    sql_script = 'WI19534_create_table_user_module.sql'

    def get_dependencies(self):
        return MaxVersionDependency(version='39.5.9', version_type=VersionType.CUSTOMIZING),

    def fix(self, packet_runner):
        self.apply_dml_file(self.sql_planta_de_dbms, self.sql_script)

        return self.success()